Cesium > Nouvelle version v1.2.9


#1

Cesium nouvelle version 1.2.9 !

Cette version corrige notamment le problème d’affichage des transactions en doublon

Elle a été déployée sur g1-test.duniter.fr et g1.duniter.org

Nouveautés

Mes opérations

  • Corrige le double affichage des transaction, et les problème de rafraichissement - Fix #780
  • Ajout d’une icone pour chaque partie (transactions en attente, validées, etc.)

Mes portefeuilles

  • Affichage de la balance totale
  • Affichage du portefeuille principal (tout en haut)
  • Meilleur gestion du rafraichissement
  • Remise à jour de la liste, en cas de la page avant la fin du chargement - Fix #782

Fonctionnalités Cesium+

Messages privés

  • Correction d’une anomalie empêchant d’envoyer un message depuis un portefeuille secondaire - fix #784

Cette version a nécessite 16h de travail. Vous pouvez contribuer à la contribution sur la clef : CitdnuQgZ45tNFCagay7Wh12gwwHM8VLej1sWmfHWnQX ou sur celle des développeurs de Duniter.

Quoi de neud ensuite ?

Une version 1.3 est en préparation. La nouveauté principale sera sur l’application de bureau (nommée desktop), avec une mise à jour du navigateur intégré (basé sur Chromium).

Pour les geek : il y aura une mise à niveau de NW en dernière version. Je vais également corrigé le problème de dépendance manquante, à l’installation sous Ubuntu 17 ou 18 (libgconf-2-4).

J’aimerai bien également intégrer les build automatiques pour Windaube et IOs.


#2

Je ne trouve pas la release ni sur github ni sur le gitlab, tu a oublié de la publier ?


#3

#4

je confirme, je ne la trouve pas non plus…


#5

Désolé, il y a toujours des problème pour la copie vers github.
C’est bon maintenant :slight_smile:


#6

J’ai essayer de construire le bainaires v1.2.9 pour Windaube : https://github.com/duniter/cesium/releases
Quelqu’un peut il tester et me dire si c’est ok ?

Je vais mettre en place la génération des fichiers MD5 (pour vérifier l’authenticité des binaires) et j’ai besoin de savoir si je peux construire les version Windaube depuis mon poste…

Merci !


#7

@cgeek : sais tu pourquoi tu avais intégrer le NW en SDK, et non en “normal” ? Je vois sur leur site qu’en NW v0.35.2 il y a les 2 possibilités… Merci !


#8

C’est normal Cesium reste le seul logiciel Duniter sans site officiel simple.

Les releases de programmes des logiciels se font proprement via leur site officiel en priorité, puis des posts réeaux sociaux et forum renvoient vers le site officiel lequel explique simplement comment télécharger et installer exécutable et sources en quelques clics voire quelques lignes de commandes de manière simple et claire pour tous les utilisateurs.


#9

Hello @kimamila, plus aucune transaction dans “mes opérations” avec cette version… :cry:


#10

C’est pour disposer du débogueur JS, “l’inspecteur” Chrome. De fait avec ce SDK il est possible de l’ouvrir dans une nouvelle fenêtre avec une instruction JS.

Mais bon, ça ne m’a été utile qu’une seule fois pour gérer les différences entre ouvrir une nouvelle fenêtre das NW et dans un navigateur, puis je n’en ai plus eu besoin.


#11

Hello, depuis l’installation de cette nouvelle version, cesium bug au démarrage, il fige comme ça :

J’ai désinstallé (avec synaptic et aussi “sudo apt purge cesium-desktop” ) cesium et essayé de nouveau avec aussi des anciennes versions. La 1.2.4 et 1.2.6 et rien ne marche, ça plante au démarrage. Ça prend tout le proc et fini par prendre toute la mémoire (voir première ligne sur l’image). Je suis sous xubuntu 18.04 LTS.

Le lancement de cesium avec le terminal donne:
cesium%20term

En revanche cesium-test se lance bien.

Sur mon pc de bureau que j’utilise moins souvent, j’ai pas mis cesium à jour (il en est à la version 1.2.4) et il se lance toujours bien.

Quelqu’un comprend t’il se qu’il se passe? @kimamila verrais tu comment régler ce problème …??

Je viens de réinstaller mon système pour un autre bug aussi et là cesium se lance de nouveau… Mystère…


#12

Bonjour Benoît,
J’ai installé cette version 1.2.9 sur W10 et je n’ai pas réussi à me connecter à mon compte : j’ai une erreur au moment où je saisis le mot de passe. Je t’ai donné les détails dans ta messagerie Cesium.
Yves


#13

Salut,

Je sais pas vous mais je peine à entrer dans mon compte depuis quelques jours, un peu aléatoirement, Android ou w10 idem. Même souci chez d’autres utilisateurs qui me contactent.
S’il s’agit d’un changement de noeud sur lequel il faut se positionner, pourriez vous me dire s’il y a un tuto svp.

Merci


#14

Bonsoir tout le monde !
j’ai le même problème que PiNguyen je n’arrive pas à me connecter à mon compte cesium… une fois le login et MP rentré ça reste bloqué sur “Veuillez patienter”.
Si vous avez des infos je suis preneur.
belle soirée à toutes et à tous. :slight_smile:


#15

Je penses que ca vient du fait que le noeud g1.duniter.org est HS pendant 2 jours. @cgeek l’a remis en route.
Pouvez vous me confirmer que ca fonctionne maintenant ?

Cesium tente de se connecter sur le noeud pendant un délai de 5 min (timeout par défaut)à cause de connect ions qui peuvent etre lentes).
Je pourrais réduire ce temps d’attente minimum à 1 min, à voir.

dans tous les cas, il est important de vous connecter sur noeud gérer par une communauté proche de chez vous, et que vous savez contacter en cas de problème. C’est plus sur.


#16

Le nœud g1.duniter.org est assez lent aussi par moment ces derniers temps, je trouve. Peut-être un point à surveiller de Duniter 1.7.


#17

Salut, j’ai réussi à me connecter sur cesium aujourd’hui, nickel ! :slight_smile:


#18

en 1.2.6 je pouvais m’authentifier par fichier de trousseau pub sec yml, en 1.2.9 j’ai une erreur de buffeur. (j’ai testé avec 2 trousseaux, même symptômes.

Version 1.2.9 build windows.
Visiblement le bug est autre (je l’ai aussi en salage standard, bref, je ne peux pas m’authentifier) il me dit que mon navigateur n’est pas compatible avec les fonction de crypto.

PS : je ne peux pas nomplus ouvrir dans mon navigateur favoris les liens de la page appropos, il me les ouvre dans une nouvelle fenêtre intégré au packaging de la version desktop. Et pas mieux avec un clic droit. Pas de menu pour choisir comment l’ouvrir. (je te remet ça sous forme d’issue).


#19

J’ai le même problème : je n’ai pas réussi à utiliser la version 1.2.9 desktop sous Windows 10 car j’ai une erreur dès la connexion lorsque je saisis le mot de passe.
A ce moment-là, le système m’indique : Erreur, votre navigateur ne semble pas compatible avec les fonctionnalités de cryptographie. Expected Buffer.
C’est d’autant plus bizarre cet histoire de navigateur que je suis justement sur la version desktop.

Par ailleurs, depuis la version 1.2.9, aussi bien sous Android que sur le version web, je ne vois plus mes transactions, hormis le dividende universel. Sur le web, quand on visualise les statistiques, on voit bien qu’il y a eu d’autres transactions à certaines dates mais on ne peut pas voir le détail. De plus, les statistiques recettes/dépenses sous forme de fromage ont également disparu.


#20

Je viens de downgrader le nœud g1.duniter.org en 1.6, plutôt que le passer en 1.7.

Certes c’est plus long pour le maintenir, mais pour l’instant il semble mieux tenir la charge réseau que la 1.7.

En espérant que ça résolve le problème.